Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config.format
Class Report

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.format.Report

All Implemented Interfaces:
  java.io.Serializable

    public class Report

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: Report.java,v 1.4 2009/01/19 14:06:34 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`Report()`

Method Summary
`void` | `addModule(int index, Module vModule)`
`void` | `addModule(Module vModule)`
`java.util.Enumeration<? extends Module>` | `enumerateModule()` Method enumerateModule.
`java.util.Date` | `getDate()` Returns the value of field 'date'.
`Entity` | `getEntity()` Returns the value of field 'entity'.
`java.lang.String` | `getId()` Returns the value of field 'id'.
`Module[]` | `getModule()` Method getModule.Returns the contents of the collection in an Array.
`Module` | `getModule(int index)` Method getModule.
`int` | `getModuleCount()` Method getModuleCount.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllModule()`
`boolean` | `removeModule(Module vModule)` Method removeModule.
`Module` | `removeModuleAt(int index)` Method removeModuleAt.
`void` | `setDate(java.util.Date date)` Sets the value of field 'date'.
`void` | `setEntity(Entity entity)` Sets the value of field 'entity'.
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setModule(int index, Module vModule)`
`void` | `setModule(Module[] vModuleArray)`
`static Report` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Report

    public Report()

Method Detail

### addModule

    public void addModule(Module vModule)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vModule` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addModule

    public void addModule(int index,
                          Module vModule)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vModule` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateModule

    public java.util.Enumeration<? extends Module> enumerateModule()

  Method enumerateModule.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.format.Module elements

### getDate

    public java.util.Date getDate()

  Returns the value of field 'date'.

  Returns:
    the value of field 'Date'.

### getEntity

    public Entity getEntity()

  Returns the value of field 'entity'.

  Returns:
    the value of field 'Entity'.

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getModule

    public Module getModule(int index)
                     throws java.lang.IndexOutOfBoundsException

  Method getModule.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.format.Module at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getModule

    public Module[] getModule()

  Method getModule.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getModuleCount

    public int getModuleCount()

  Method getModuleCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllModule

    public void removeAllModule()

### removeModule

    public boolean removeModule(Module vModule)

  Method removeModule.

  Parameters:
    `vModule` -
  Returns:
    true if the object was removed from the collection.

### removeModuleAt

    public Module removeModuleAt(int index)

  Method removeModuleAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setDate

    public void setDate(java.util.Date date)

  Sets the value of field 'date'.

  Parameters:
    `date` - the value of field 'date'.

### setEntity

    public void setEntity(Entity entity)

  Sets the value of field 'entity'.

  Parameters:
    `entity` - the value of field 'entity'.

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setModule

    public void setModule(int index,
                          Module vModule)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vModule` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setModule

    public void setModule(Module[] vModuleArray)

  Parameters:
    `vModuleArray` -

### unmarshal

    public static Report unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.format.Report
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD